メインコンテンツへスキップ
POST
/
api
/
v0
/
computers
Create a computer
curl --request POST \
  --url https://api.factory.ai/api/v0/computers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "remoteUser": "<string>",
  "provider": "byom",
  "repos": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "name": "<string>",
  "providerType": "byom",
  "createdAt": 123,
  "hostname": "<string>",
  "status": "provisioning",
  "provisioningSteps": [
    {
      "id": "create-computer",
      "name": "<string>",
      "status": "pending",
      "error": "<string>",
      "startedAt": 123,
      "completedAt": 123
    }
  ],
  "relayClientUrl": "<string>",
  "relayAgentUrl": "<string>",
  "remoteUser": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.factory.ai/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Factory API key or JWT token for authentication

ボディ

application/json
name
string
必須
Required string length: 1 - 63
remoteUser
string
必須
Required string length: 1 - 63
provider
enum<string>
利用可能なオプション:
byom,
e2b
repos
string<uri>[]
Maximum array length: 20
Maximum string length: 2048

レスポンス

Response for status 201

id
string
必須
name
string
必須
providerType
enum<string>
必須
利用可能なオプション:
byom,
e2b
createdAt
number
必須
hostname
string
status
enum<string>
利用可能なオプション:
provisioning,
active,
error
provisioningSteps
object[]
relayClientUrl
string<uri>
relayAgentUrl
string<uri>
remoteUser
string